Subject: Re: Git as a backup system?

From: Konstantin Khomoutov <[email-masked]>
Date: Mon, 8 Nov 2010 21:26:12 +0300

On Mon, 8 Nov 2010 13:01:29 -0500
Eric Frederich <[email-masked]> wrote:

> I maintain a corporate MediaWiki installation.
> Currently I have a cron job that runs daily and tar's up the contents
> of the installation directory and runs a mysqldump.
> I keep backups of the past 45 days.
> Each backup is about 200M, so all in all I always have about 9.0G of
> backups. Most of the changes are in the database, so the mysqldump
> file is changed every day.
> Other than that, there can be new files uploaded but they never
> change, just get added.
> All configuration files stay the same.
[...]
> Am I insane?  Are there other tools more suited toward this?
> I just thought of using Git since I looked at my 9G worth of data out
> there in my backup directory that is almost exactly the same and said
> "git could handle this well".
> 
> Are any of you using git for a backup system?  Have any tips, words
> of wisdom?
I suspect the rdiff-backup tool [1] was invented precisely for the setup
like yours: it is able to sync one directory to another + create diffs
between them thus providing for incremental backups.

1. http://www.nongnu.org/rdiff-backup/